Re: [kernelcheck] site.imailyou.net has an old kernel. (2.4.

ukagg

Active Member
PartnerNOC
Aug 14, 2002
35
0
156
Hi,

I have a new system with Redhat Linux 7.2 + Cpanel.

I am in receipt of following email:-

Subject: Re: [kernelcheck] site.imailyou.net has an old kernel. (2.4.7-10)

Message: This message is to inform you that the machine site.imailyou.net is running an older kernel which is known to have problems with quotas and possible root security holes. We recommend that you upgrade your kernel as soon as possible.


So, I tried to update the kernel using up2date. But up2date is resulting in the following error:-

[email protected] [~]# up2date -u
Traceback (innermost last):
File &/usr/sbin/up2date&, line 16, in ?
from up2date_client import clap
File &/usr/share/rhn/up2date_client/clap.py&, line 12, in ?
popt = __import__(&up2datepopt&)
ImportError: No module named up2datepopt
[email protected] [~]#


Please suggest me, what is wrong on the system, and how should I fix this.

Thanks
 

itf

Well-Known Member
May 9, 2002
624
0
316
You have to upgrade your Kernel, I wrote a complete instruction about kernel upgrade in these threads

http://forums.cpanel.net/read.php?TID=3807

http://forums.cpanel.net/read.php?TID=3802

but if you are a Newbie ask your provider to upgrade your Kernel
 

ukagg

Active Member
PartnerNOC
Aug 14, 2002
35
0
156
Thanks!

Can't I use http://rhn.redhat.com to upgrade kernel ?

or, up2date ?

Thanks again
 

ukagg

Active Member
PartnerNOC
Aug 14, 2002
35
0
156
Ok.. I think, I have gone through the instructions to upgarde, but I do not know, which latest version is compatible with my system?

Please let me know, which RPMs I need to download, and from where?

Its an Athlon XP1800 machine running Redhat Linux 7.2 with Lilo boot.

Thanks
 

itf

Well-Known Member
May 9, 2002
624
0
316
[quote:26ff9e18bf][i:26ff9e18bf]Originally posted by ukagg[/i:26ff9e18bf]

Ok.. I think, I have gone through the instructions to upgarde, but I do not know, which latest version is compatible with my system?

Please let me know, which RPMs I need to download, and from where?

Its an Athlon XP1800 machine running Redhat Linux 7.2 with Lilo boot.

Thanks[/quote:26ff9e18bf]
it is not recommended to use rhn
in your case : kernel-2.4.9-34.athlon.rpm
from
ftp://updates.redhat.com/7.2/en/os/athlon/kernel-2.4.9-34.athlon.rpm

However I wrote the instructions but it is recommended to ask your provider for Kernel upgrade if you are not an experienced user; or try on a test system to improve your experience first. any mistake will result in server down.
 

ukagg

Active Member
PartnerNOC
Aug 14, 2002
35
0
156
[quote:47784c6bf5][i:47784c6bf5]Originally posted by itf[/i:47784c6bf5]
it is not recommended to use rhn
in your case : kernel-2.4.9-34.athlon.rpm
from
ftp://updates.redhat.com/7.2/en/os/athlon/kernel-2.4.9-34.athlon.rpm
[/quote:47784c6bf5]

Thanks,

just one file or any other file/dependencies?

kernel-headers or something like that ??

I am a newbie, but want to try myself with maximum precautions.

Thanks once again.
 

itf

Well-Known Member
May 9, 2002
624
0
316
[quote:03f425b369][i:03f425b369]Originally posted by ukagg[/i:03f425b369]

[quote:03f425b369][i:03f425b369]Originally posted by itf[/i:03f425b369]
it is not recommended to use rhn
in your case : kernel-2.4.9-34.athlon.rpm
from
ftp://updates.redhat.com/7.2/en/os/athlon/kernel-2.4.9-34.athlon.rpm
[/quote:03f425b369]

Thanks,

just one file or any other file/dependencies?

kernel-headers or something like that ??

I am a newbie, but want to try myself with maximum precautions.

Thanks once again.[/quote:03f425b369]
with all of its dependencies
(if applicable)